import pgzrun

TITLE = "Paf l'oiseau"
WIDTH = 400
HEIGHT = 708

def on_mouse_down() :
    if (titi.vivant) :
        titi.speed = 6.5

def on_key_down(key) :
    print(key)

def reset():
    print("Retour au départ...")
    titi.speed = 1
    titi.center = (75, 50)
    tube_superieur.center = (300, 0)
    tube_inferieur.center = (300, tube_superieur.height + ecart)
    titi.vivant = True
    titi.image = "bird1"

def heurte_tube() :
    print ("Paf !")
    titi.image = "birddead" # (oiseau mort)
    titi.vivant = False
    
def update():
    titi.speed += gravite
    titi.y += titi.speed
    tube_superieur.x -= vitesse_defilement
    tube_inferieur.x -= vitesse_defilement
    if tube_superieur.right < 0 :
        tube_superieur.left = WIDTH
        tube_inferieur.left = WIDTH
    if titi.y > HEIGHT or titi.y < 0:
        reset()
    if titi.colliderect(tube_superieur) or titi.colliderect(tube_inferieur):
        heurte_tube()
        
def draw():
    screen.blit('background', (0, 0))
    titi.draw()
    tube_superieur.draw()
    tube_inferieur.draw()

titi = Actor('bird1')
ecart = 140
tube_superieur = Actor('top')
tube_inferieur = Actor('bottom')
vitesse_defilement = 1
gravite = -0.3
reset()

# print(tube_superieur.width, tube_superieur.height)

pgzrun.go()
